Skip to main content
The Event Management API supports the following actions: The following sections describe each of these actions.

List All Events in a Specified Pipeline

The following command returns a list of all events within a pipeline in Sync:
GET http://<SyncHost>/api.rsc/v2/pipelines/{pipeline_id}/events
Path Parameter
NameDescription
pipeline_id (required)Identifies the pipeline from which to list all events.

Retrieve a Specified Event in a Pipeline

The following command retrieves a specified event in a pipeline:
GET http://<SyncHost>/api.rsc/v2/pipelines/{pipeline_id}/events/{event_id}

Path Parameters
NameDescription
pipeline_id (required)Identifies the pipeline from which to retrieve a specified event.
event_id (required)Identifies the event that you want to retrieve.

Create an Event in a Specified Pipeline

The following command creates a new event in a specified pipeline:
POST http://<SyncHost>/api.rsc/v2/pipelines/{pipeline_id}/events
Path Parameter
NameDescription
pipeline_id (required)Identifies the pipeline in which to create the event.

Body Parameters

NameDescription
Name (required)Specifies the name of the event.
ScriptSpecifies the event scripts.
LabelsSpecifies a list of all event labels.
Example Request
{
  "name": "Event name",
  "script": "text",
  "labels": []
}

Update an Event

The following command updates an existing event in a pipeline:
PUT http://<SyncHost>/api.rsc/v2/pipelines/{pipeline_id}/events/{event_id}
Path Parameter
NameDescription
pipeline_id (required)Identifies the connection that you want to update.
event_id (required)Specifies the event that you want to update.

Body Parameters

NameDescription
Name (required)Specifies the name of the connection to update.
Properties.*Specifies a list of connection properties (merges with existing settings).
Settings.*Specifies a list of connection settings (merges with existing settings).
ConnectionStringSpecifies the connection string for the data connection.
Example Request
{
  "name": "event name",
  "script": "text",
  "labels": []
}

Delete an Event

The following command deletes an event:
DELETE http://<SyncHost>/api.rsc/v2/pipelines/{pipeline_id}/events/{event_id}
Path Parameter
NameDescription
pipeline_id (required)Identifies the pipeline that contains the event that you want to delete.
event_id (required)Specifies the event that you want to delete.
Note: The response is either a success message or an error message.